Method: networks.reports.get
Stay organized with collections
Save and categorize content based on your preferences.
API to retrieve a Report object.
HTTP request
GET https://admanager.googleapis.com/v1/{name}
Path parameters
| Parameters |
name |
string
Required. The resource name of the report. Format: networks/{networkCode}/reports/{reportId}
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Report.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanager
https://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-09 UTC.
[null,null,["Last updated 2026-03-09 UTC."],[],["The API retrieves a `Report` object using a `GET` request to `https://admanager.googleapis.com/v1/{name}`. The `name` path parameter, a string, is required and formatted as `networks/{networkCode}/reports/{reportId}`. The request body must be empty. A successful response will return an instance of a `Report`. Authorization requires the OAuth scope: `https://www.googleapis.com/auth/admanager`.\n"]]